prompt --application/set_environment
set define off verify off feedback off
whenever sqlerror exit sql.sqlcode rollback
--------------------------------------------------------------------------------
--
-- Oracle APEX export file
--
-- You should run this script using a SQL client connected to the database as
-- the owner (parsing schema) of the application or as a database user with the
-- APEX_ADMINISTRATOR_ROLE role.
--
-- This export file has been automatically generated. Modifying this file is not
-- supported by Oracle and can lead to unexpected application and/or instance
-- behavior now or in the future.
--
-- NOTE: Calls to apex_application_install override the defaults below.
--
--------------------------------------------------------------------------------
begin
wwv_flow_imp.import_begin (
 p_version_yyyy_mm_dd=>'2023.04.28'
,p_release=>'23.1.5'
,p_default_workspace_id=>21343001332048214
,p_default_application_id=>126
,p_default_id_offset=>0
,p_default_owner=>'WKSP_PLUGINS'
);
end;
/
 
prompt APPLICATION 126 - Template Component
--
-- Application Export:
--   Application:     126
--   Name:            Template Component
--   Date and Time:   21:39 Thursday October 26, 2023
--   Exported By:     PLUGINS
--   Flashback:       0
--   Export Type:     Component Export
--   Manifest
--     PLUGIN: 21646246270097696
--   Manifest End
--   Version:         23.1.5
--   Instance ID:     7876363916116018
--

begin
  -- replace components
  wwv_flow_imp.g_mode := 'REPLACE';
end;
/
prompt --application/shared_components/plugins/template_component/apex_lmoreaux_multiple_avatars
begin
wwv_flow_imp_shared.create_plugin(
 p_id=>wwv_flow_imp.id(21646246270097696)
,p_plugin_type=>'TEMPLATE COMPONENT'
,p_theme_id=>nvl(wwv_flow_application_install.get_theme_id, '')
,p_name=>'APEX.LMOREAUX.MULTIPLE_AVATARS'
,p_display_name=>'Multiple Avatars'
,p_supported_component_types=>'PARTIAL'
,p_javascript_file_urls=>'#PLUGIN_FILES#js/multipleAvatars#MIN#.js'
,p_css_file_urls=>'#PLUGIN_FILES#css/multipleAvatars#MIN#.css'
,p_partial_template=>wwv_flow_string.join(wwv_flow_t_varchar2(
'{if APEX$IS_LAZY_LOADING/}',
'<orclapex-avatars>',
'    <div class="avatars-container avatar-size--#SIZE#">',
'        <a><div class="avatar placeholder"></div></a>',
'        <a><div class="avatar placeholder"></div></a>',
'        <a><div class="avatar placeholder"></div></a>',
'    </div>',
'</<orclapex-avatars>',
'{else/}',
'<orclapex-avatars data-size="#SIZE#" data-limit="#LIMIT#" data-type="#TYPE#" data-class="#CLASS#" data-icon="#ICON#" data-more-class="#MORE_CLASS#" data-more-link="#MORE_LINK#" data-more-link-attributes="#MORE_LINK_ATTRIBUTES#">        ',
'    <template>#JSON_DATA!RAW#</template>',
'</orclapex-avatars>',
'{endif/}'))
,p_default_escape_mode=>'HTML'
,p_translate_this_template=>false
,p_api_version=>2
,p_substitute_attributes=>true
,p_subscribe_plugin_settings=>true
,p_help_text=>'Display multiple avatars as image, icon, or initials.'
,p_version_identifier=>'1.0'
,p_about_url=>'https://lmoreaux.hashnode.dev/'
,p_files_version=>47
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21648898220097778)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>1
,p_display_sequence=>10
,p_static_id=>'JSON_DATA'
,p_prompt=>'JSON Dara'
,p_attribute_type=>'SESSION STATE VALUE'
,p_is_required=>true
,p_escape_mode=>'HTML'
,p_column_data_types=>'VARCHAR2:CLOB'
,p_is_translatable=>false
,p_examples=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>SQL Query when action is Set</p>',
'<pre>',
'select json_arrayagg(',
'          json_object(',
'             ''title'' value mt.full_name,',
'             ''initials'' value apex_string.get_initials(mt.full_name),',
'             ''picture'' value mt.picture_url,',
'             ''page'' value 1,',
'             ''items'' value ''P1_ITEM1,P1_ITEM2'',',
'             ''values'' value mt.value1||'',''||mt.value2,',
'             ''cssClass'' value ''u-color-''',
'                              || ora_hash(mt.full_name, 45)',
'          )',
'       ) as json_data',
'  from my_table mt',
' where rownum < 10',
'</pre>'))
,p_help_text=>wwv_flow_string.join(wwv_flow_t_varchar2(
'<p>Column containing a JSON array of object</p>',
'<pre>',
'[',
'   {',
'      ''title'': ''John Doe'',',
'      ''initals'': ''JD'',',
'      ''picture'': ''https://example.com/john_doe.jpg'',',
'      ''page'': 1,',
'      ''items'': ''P1_ITEM1,P1_ITEM2'',',
'      ''values'': ''VALUE1,VALUE2'',',
'      ''cssClass'': ''u-color-1''',
'   },',
'   ...',
']',
'</pre>'))
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21650810701396676)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>2
,p_display_sequence=>20
,p_static_id=>'TYPE'
,p_prompt=>'Type'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'image'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
,p_help_text=>'<p>Choose if you want to display it as an image, an icon or with the initials.</p>'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21651193630397744)
,p_plugin_attribute_id=>wwv_flow_imp.id(21650810701396676)
,p_display_sequence=>10
,p_display_value=>'Image'
,p_return_value=>'image'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21651533137399480)
,p_plugin_attribute_id=>wwv_flow_imp.id(21650810701396676)
,p_display_sequence=>20
,p_display_value=>'Initial'
,p_return_value=>'initial'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21651924916400454)
,p_plugin_attribute_id=>wwv_flow_imp.id(21650810701396676)
,p_display_sequence=>30
,p_display_value=>'Icon'
,p_return_value=>'icon'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21648072516097777)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>3
,p_display_sequence=>30
,p_static_id=>'SIZE'
,p_prompt=>'Sizess'
,p_attribute_type=>'SELECT LIST'
,p_is_required=>true
,p_default_value=>'small'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_lov_type=>'STATIC'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21674867762593758)
,p_plugin_attribute_id=>wwv_flow_imp.id(21648072516097777)
,p_display_sequence=>10
,p_display_value=>'Small'
,p_return_value=>'small'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21675288318594526)
,p_plugin_attribute_id=>wwv_flow_imp.id(21648072516097777)
,p_display_sequence=>20
,p_display_value=>'Medium'
,p_return_value=>'medium'
);
wwv_flow_imp_shared.create_plugin_attr_value(
 p_id=>wwv_flow_imp.id(21675670082595129)
,p_plugin_attribute_id=>wwv_flow_imp.id(21648072516097777)
,p_display_sequence=>30
,p_display_value=>'Large'
,p_return_value=>'large'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21652754368423735)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>4
,p_display_sequence=>40
,p_static_id=>'CLASS'
,p_prompt=>'Default Color Class'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'u-color-1'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_help_text=>'<p>Default color class see: <a href="https://apex.oracle.com/pls/apex/r/apex_pm/ut/color-and-status-modifiers" target="_blank">Universal Theme colors</a></p>'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21653425696437678)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>5
,p_display_sequence=>50
,p_static_id=>'ICON'
,p_prompt=>'Default Icon'
,p_attribute_type=>'ICON'
,p_is_required=>true
,p_default_value=>'fa fa-user fa-lg'
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_help_text=>'<p>Default icon (used if not defined in the JSON data).</p>'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21646596432097775)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>6
,p_display_sequence=>60
,p_static_id=>'LIMIT'
,p_prompt=>'Limit'
,p_attribute_type=>'INTEGER'
,p_is_required=>false
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_help_text=>'<p>Specify the maximum of avatars to display. In case there is more, then the plug-in will display the number of additional avatars.</p>'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21646883695097777)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>7
,p_display_sequence=>70
,p_static_id=>'MORE_CLASS'
,p_prompt=>'More Color Class'
,p_attribute_type=>'TEXT'
,p_is_required=>true
,p_default_value=>'u-color-45'
,p_escape_mode=>'HTML'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(21646596432097775)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_help_text=>'<p>Default color class when more avatar is displayed see: <a href="https://apex.oracle.com/pls/apex/r/apex_pm/ut/color-and-status-modifiers" target="_blank">Universal Theme colors</a></p>'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21647221064097777)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>8
,p_display_sequence=>80
,p_static_id=>'MORE_LINK'
,p_prompt=>'More Link'
,p_attribute_type=>'LINK'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(21646596432097775)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_help_text=>'<p>Link for the more avatar.</p>'
);
wwv_flow_imp_shared.create_plugin_attribute(
 p_id=>wwv_flow_imp.id(21647678865097777)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_attribute_scope=>'COMPONENT'
,p_attribute_sequence=>12
,p_display_sequence=>120
,p_static_id=>'MORE_LINK_ATTRIBUTES'
,p_prompt=>' More Link Attributes'
,p_attribute_type=>'TEXT'
,p_is_required=>false
,p_escape_mode=>'ATTR'
,p_is_translatable=>false
,p_depending_on_attribute_id=>wwv_flow_imp.id(21646596432097775)
,p_depending_on_has_to_exist=>true
,p_depending_on_condition_type=>'NOT_NULL'
,p_help_text=>'<p>Link attributes</p>'
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '66756E6374696F6E207265706C6163654D697373696E67496D616765202870546869732C2070496E697469616C732C207049636F6E2C2070436F6C6F72436C61737329207B200D0A0D0A202020206C657420646976203D20646F63756D656E742E637265';
wwv_flow_imp.g_varchar2_table(2) := '617465456C656D656E74282264697622292C0D0A202020206C696E6B203D2070546869732E706172656E744E6F64653B0D0A0D0A202020206469762E636C6173734C6973742E616464282261766174617222293B0D0A202020206469762E636C6173734C';
wwv_flow_imp.g_varchar2_table(3) := '6973742E6164642870436F6C6F72436C617373293B0D0A0D0A202020206966202870496E697469616C7320213D3D20222229207B0D0A20202020202020206469762E696E6E657254657874203D2070496E697469616C733B0D0A202020207D20656C7365';
wwv_flow_imp.g_varchar2_table(4) := '207B0D0A20202020202020206C6574207370616E203D20646F63756D656E742E637265617465456C656D656E7428227370616E22293B0D0A20202020202020207370616E2E636C6173734C6973742E6164642822666122293B0D0A202020202020202073';
wwv_flow_imp.g_varchar2_table(5) := '70616E2E636C6173734C6973742E616464287049636F6E293B0D0A20202020202020206469762E617070656E644368696C64287370616E293B0D0A202020207D3B0D0A202020206C696E6B2E696E6E657248544D4C203D2022223B0D0A202020206C696E';
wwv_flow_imp.g_varchar2_table(6) := '6B2E617070656E644368696C6428646976293B0D0A2020202072657475726E3B0D0A7D3B0D0A0D0A636C617373206F72636C617065784176617461727320657874656E64732048544D4C456C656D656E74207B0D0A20202020636F6E7374727563746F72';
wwv_flow_imp.g_varchar2_table(7) := '2829207B0D0A2020202020202020737570657228293B0D0A202020207D0D0A0D0A20202020636F6E6E656374656443616C6C6261636B2829207B0D0A0D0A202020202020202069662028746869732E676574456C656D656E74734279436C6173734E616D';
wwv_flow_imp.g_varchar2_table(8) := '652822617661746172732D636F6E7461696E657222292E6C656E67746820213D3D203029207B200D0A20202020202020202020202072657475726E3B0D0A20202020202020207D0D0A0D0A20202020202020206C657420646174612C0D0A202020202020';
wwv_flow_imp.g_varchar2_table(9) := '2020202020206C696D6974203D20746869732E646174617365742E6C696D6974203D3D3D202222203F2030203A20617065782E6C6F63616C652E746F4E756D62657228746869732E646174617365742E6C696D6974292C0D0A2020202020202020202020';
wwv_flow_imp.g_varchar2_table(10) := '2073697A65203D20746869732E646174617365742E73697A652C0D0A20202020202020202020202074797065203D20746869732E646174617365742E747970652C0D0A20202020202020202020202064656661756C74436C617373203D20746869732E64';
wwv_flow_imp.g_varchar2_table(11) := '6174617365742E636C6173732C0D0A20202020202020202020202064656661756C7449636F6E203D20746869732E646174617365742E69636F6E2C0D0A2020202020202020202020206D6F7265436C617373203D20746869732E646174617365742E6D6F';
wwv_flow_imp.g_varchar2_table(12) := '7265436C6173732C0D0A2020202020202020202020206D6F72654C696E6B203D20746869732E646174617365742E6D6F72654C696E6B2C0D0A2020202020202020202020206D6F72654C696E6B41747472696275746573203D20746869732E6461746173';
wwv_flow_imp.g_varchar2_table(13) := '65742E6D6F72654C696E6B417474726962757465730D0A2020202020202020202020203B0D0A20202020202020200D0A2020202020202020747279207B0D0A20202020202020202020202064617461203D204A534F4E2E706172736528746869732E6765';
wwv_flow_imp.g_varchar2_table(14) := '74456C656D656E747342795461674E616D65282274656D706C61746522295B305D2E696E6E657248544D4C293B0D0A20202020202020207D0D0A20202020202020200D0A2020202020202020636174636828657829207B0D0A2020202020202020636F6E';
wwv_flow_imp.g_varchar2_table(15) := '736F6C652E6572726F72286578293B0D0A20202020202020207D0D0A0D0A20202020202020206C657420646976203D20646F63756D656E742E637265617465456C656D656E74282264697622293B0D0A20202020202020206469762E636C6173734C6973';
wwv_flow_imp.g_varchar2_table(16) := '742E6164642827617661746172732D636F6E7461696E657227293B0D0A20202020202020206469762E636C6173734C6973742E61646428226176617461722D73697A652D2D22202B2073697A65293B0D0A20202020202020200D0A20202020202020206C';
wwv_flow_imp.g_varchar2_table(17) := '657420617661746172203D2022223B0D0A2020202020202020646174612E666F72456163682866756E6374696F6E286974656D2C2069297B0D0A202020202020202020202020696620286C696D6974203D3D3D2030207C7C2069203C3D206C696D697429';
wwv_flow_imp.g_varchar2_table(18) := '207B0D0A202020202020202020202020202020206C6574206C696E6B203D20226A6176617363726970743A617065782E6576656E742E7472696767657228646F63756D656E742C20276F72636C617065782D6176617461722D636C69636B272C207B7061';
wwv_flow_imp.g_varchar2_table(19) := '67653A22202B206974656D2E70616765202B20222C6974656D733A27222B206974656D2E6974656D73202B2022272C76616C7565733A2722202B206974656D2E76616C7565732B22277D29222C0D0A202020202020202020202020202020202020202070';
wwv_flow_imp.g_varchar2_table(20) := '696374757265203D20286974656D2E70696374757265203D3D3D20756E646566696E656429203F202222203A206974656D2E706963747572652C0D0A20202020202020202020202020202020202020207469746C65203D20286974656D2E7469746C6520';
wwv_flow_imp.g_varchar2_table(21) := '3D3D3D20756E646566696E656429203F202222203A206974656D2E7469746C652C0D0A2020202020202020202020202020202020202020637373436C617373203D20286974656D2E637373436C617373203D3D3D20756E646566696E656429203F206465';
wwv_flow_imp.g_varchar2_table(22) := '6661756C74436C617373203A206974656D2E637373436C6173732C0D0A202020202020202020202020202020202020202069636F6E203D20286974656D2E69636F6E203D3D3D20756E646566696E656429203F2064656661756C7449636F6E203A206974';
wwv_flow_imp.g_varchar2_table(23) := '656D2E69636F6E2C0D0A2020202020202020202020202020202020202020696E697469616C73203D20286974656D2E696E697469616C73203D3D3D20756E646566696E656429203F202222203A206974656D2E696E697469616C733B0D0A202020202020';
wwv_flow_imp.g_varchar2_table(24) := '202020202020202020200D0A20202020202020202020202020202020617661746172203D20617661746172202B20273C6120687265663D22272B206C696E6B202B2027223E273B200D0A202020202020202020202020202020200D0A2020202020202020';
wwv_flow_imp.g_varchar2_table(25) := '20202020202020206966202874797065203D3D3D2022696D6167652229207B0D0A2020202020202020202020202020202020202020617661746172203D20617661746172202B20273C696D6720636C6173733D2261766174617222207372633D2227202B';
wwv_flow_imp.g_varchar2_table(26) := '2070696374757265202B20202722207469746C653D2227202B207469746C65202B2722206F6E6572726F723D227265706C6163654D697373696E67496D61676528746869732C5C27272B20696E697469616C73202B20275C272C5C2727202B2064656661';
wwv_flow_imp.g_varchar2_table(27) := '756C7449636F6E202B20275C272C5C2727202B2064656661756C74436C617373202B20275C2729223E3C2F696D673E273B0D0A202020202020202020202020202020207D20656C7365206966202874797065203D3D3D2022696E697469616C2229207B0D';
wwv_flow_imp.g_varchar2_table(28) := '0A2020202020202020202020202020202020202020617661746172203D20617661746172202B20273C64697620636C6173733D226176617461722027202B20637373436C617373202B202722207469746C653D2227202B207469746C65202B27223E2720';
wwv_flow_imp.g_varchar2_table(29) := '2B20696E697469616C73202B20273C2F6469763E273B0D0A202020202020202020202020202020207D20656C7365207B0D0A2020202020202020202020202020202020202020617661746172203D20617661746172202B20273C64697620636C6173733D';
wwv_flow_imp.g_varchar2_table(30) := '226176617461722027202B20637373436C617373202B202722207469746C653D2227202B207469746C65202B27223E3C7370616E20636C6173733D2227202B2069636F6E202B2027223E3C2F7370616E3E3C2F6469763E273B0D0A202020202020202020';
wwv_flow_imp.g_varchar2_table(31) := '202020202020207D0D0A20202020202020202020202020202020617661746172203D20617661746172202B20273C2F613E273B0D0A2020202020202020202020207D0D0A20202020202020207D293B0D0A0D0A0D0A2020202020202020696620286C696D';
wwv_flow_imp.g_varchar2_table(32) := '697420213D3D2030202620646174612E6C656E677468203E206C696D697429207B0D0A2020202020202020202020206C6574206D6F726555736572203D20646174612E6C656E677468202D206C696D69743B0D0A20202020202020202020202061766174';
wwv_flow_imp.g_varchar2_table(33) := '6172203D20617661746172202B20273C6120687265663D22272B206D6F72654C696E6B202B2027223E3C64697620636C6173733D2261766174617220617661746172732D6D6F72652027202B206D6F7265436C617373202B2027223E2B27202B206D6F72';
wwv_flow_imp.g_varchar2_table(34) := '6555736572202B20273C2F6469763E3C2F613E273B0D0A20202020202020207D0D0A0D0A20202020202020206469762E696E6E657248544D4C203D206176617461723B0D0A2020202020202020746869732E617070656E644368696C6428646976293B0D';
wwv_flow_imp.g_varchar2_table(35) := '0A2020202020202020746869732E676574456C656D656E747342795461674E616D65282274656D706C61746522295B305D2E72656D6F766528293B0D0A0D0A2020202020202020617065782E6576656E742E7472696767657228646F63756D656E742C20';
wwv_flow_imp.g_varchar2_table(36) := '226170657877696E646F77726573697A656422293B0D0A202020207D0D0A0D0A7D0D0A0D0A2F2F20446566696E65206F75722077656220636F6D706F6E656E740D0A6966202821637573746F6D456C656D656E74732E67657428276F72636C617065782D';
wwv_flow_imp.g_varchar2_table(37) := '61766174617273272929207B0D0A2020637573746F6D456C656D656E74732E646566696E6528276F72636C617065782D61766174617273272C206F72636C6170657841766174617273293B0D0A7D0D0A';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(21657256566500878)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_file_name=>'js/multipleAvatars.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '6F72636C617065782D61766174617273202E6176617461722D73697A652D2D736D616C6C207B0D0A202020202D2D6176617461722D73697A653A20322E3572656D3B0D0A202020202D2D666F6E742D73697A653A20736D616C6C3B0D0A7D0D0A0D0A6F72';
wwv_flow_imp.g_varchar2_table(2) := '636C617065782D61766174617273202E6176617461722D73697A652D2D6D656469756D207B0D0A202020202D2D6176617461722D73697A653A20332E3572656D3B0D0A202020202D2D666F6E742D73697A653A206D656469756D3B0D0A7D0D0A0D0A6F72';
wwv_flow_imp.g_varchar2_table(3) := '636C617065782D61766174617273202E6176617461722D73697A652D2D6C61726765207B0D0A202020202D2D6176617461722D73697A653A20342E3572656D3B0D0A202020202D2D666F6E742D73697A653A206C617267653B0D0A7D0D0A0D0A6F72636C';
wwv_flow_imp.g_varchar2_table(4) := '617065782D61766174617273202E617661746172732D636F6E7461696E6572207B0D0A202020202D2D6D617267696E2D6C6566743A2063616C63282D31202A20766172282D2D6176617461722D73697A6529202F20342E35293B0D0A2020202064697370';
wwv_flow_imp.g_varchar2_table(5) := '6C61793A20666C65783B0D0A7D0D0A0D0A6F72636C617065782D6176617461727320613A6E6F74283A66697273742D6368696C6429202E617661746172207B0D0A202020206D617267696E2D6C6566743A20766172282D2D6D617267696E2D6C65667429';
wwv_flow_imp.g_varchar2_table(6) := '3B0D0A7D0D0A0D0A6F72636C617065782D61766174617273202E706C616365686F6C646572207B0D0A202020206261636B67726F756E642D636F6C6F723A20726762283137342031373420313734293B0D0A7D0D0A0D0A6F72636C617065782D61766174';
wwv_flow_imp.g_varchar2_table(7) := '617273202E617661746172207B0D0A2020202077696474683A20766172282D2D6176617461722D73697A65293B0D0A202020206865696768743A20766172282D2D6176617461722D73697A65293B0D0A20202020626F726465722D7261646975733A2035';
wwv_flow_imp.g_varchar2_table(8) := '30253B0D0A20202020626F726465723A2032707820736F6C696420766172282D2D75742D636F6D706F6E656E742D6261636B67726F756E642D636F6C6F72293B0D0A20202020646973706C61793A20666C65783B0D0A20202020616C69676E2D6974656D';
wwv_flow_imp.g_varchar2_table(9) := '733A2063656E7465723B0D0A202020206A7573746966792D636F6E74656E743A2063656E7465723B0D0A20202020666F6E742D7765696768743A203630303B0D0A20202020666F6E742D73697A653A20766172282D2D666F6E742D73697A65293B0D0A7D';
wwv_flow_imp.g_varchar2_table(10) := '0D0A0D0A6F72636C617065782D6176617461727320613A686F766572202E6176617461722C0D0A6F72636C617065782D6176617461727320613A666F637573202E617661746172207B0D0A202020207472616E73666F726D3A207363616C6528312E3129';
wwv_flow_imp.g_varchar2_table(11) := '3B0D0A20202020626F726465722D636F6C6F723A20766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72293B0D0A7D0D0A0D0A0D0A';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(21659119386505653)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_file_name=>'css/multipleAvatars.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '66756E6374696F6E207265706C6163654D697373696E67496D61676528652C612C742C73297B6C657420693D646F63756D656E742E637265617465456C656D656E74282264697622292C6C3D652E706172656E744E6F64653B696628692E636C6173734C';
wwv_flow_imp.g_varchar2_table(2) := '6973742E616464282261766174617222292C692E636C6173734C6973742E6164642873292C2222213D3D6129692E696E6E6572546578743D613B656C73657B6C657420653D646F63756D656E742E637265617465456C656D656E7428227370616E22293B';
wwv_flow_imp.g_varchar2_table(3) := '652E636C6173734C6973742E6164642822666122292C652E636C6173734C6973742E6164642874292C692E617070656E644368696C642865297D6C2E696E6E657248544D4C3D22222C6C2E617070656E644368696C642869297D636C617373206F72636C';
wwv_flow_imp.g_varchar2_table(4) := '617065784176617461727320657874656E64732048544D4C456C656D656E747B636F6E7374727563746F7228297B737570657228297D636F6E6E656374656443616C6C6261636B28297B69662830213D3D746869732E676574456C656D656E7473427943';
wwv_flow_imp.g_varchar2_table(5) := '6C6173734E616D652822617661746172732D636F6E7461696E657222292E6C656E6774682972657475726E3B6C657420652C613D22223D3D3D746869732E646174617365742E6C696D69743F303A617065782E6C6F63616C652E746F4E756D6265722874';
wwv_flow_imp.g_varchar2_table(6) := '6869732E646174617365742E6C696D6974292C743D746869732E646174617365742E73697A652C733D746869732E646174617365742E747970652C693D746869732E646174617365742E636C6173732C6C3D746869732E646174617365742E69636F6E2C';
wwv_flow_imp.g_varchar2_table(7) := '723D746869732E646174617365742E6D6F7265436C6173732C6E3D746869732E646174617365742E6D6F72654C696E6B3B746869732E646174617365742E6D6F72654C696E6B417474726962757465733B7472797B653D4A534F4E2E7061727365287468';
wwv_flow_imp.g_varchar2_table(8) := '69732E676574456C656D656E747342795461674E616D65282274656D706C61746522295B305D2E696E6E657248544D4C297D63617463682865297B636F6E736F6C652E6572726F722865297D6C657420633D646F63756D656E742E637265617465456C65';
wwv_flow_imp.g_varchar2_table(9) := '6D656E74282264697622293B632E636C6173734C6973742E6164642822617661746172732D636F6E7461696E657222292C632E636C6173734C6973742E61646428226176617461722D73697A652D2D222B74293B6C657420643D22223B696628652E666F';
wwv_flow_imp.g_varchar2_table(10) := '7245616368282866756E6374696F6E28652C74297B696628303D3D3D617C7C743C3D61297B6C657420613D226A6176617363726970743A617065782E6576656E742E7472696767657228646F63756D656E742C20276F72636C617065782D617661746172';
wwv_flow_imp.g_varchar2_table(11) := '2D636C69636B272C207B706167653A222B652E706167652B222C6974656D733A27222B652E6974656D732B22272C76616C7565733A27222B652E76616C7565732B22277D29222C743D766F696420303D3D3D652E706963747572653F22223A652E706963';
wwv_flow_imp.g_varchar2_table(12) := '747572652C723D766F696420303D3D3D652E7469746C653F22223A652E7469746C652C6E3D766F696420303D3D3D652E637373436C6173733F693A652E637373436C6173732C633D766F696420303D3D3D652E69636F6E3F6C3A652E69636F6E2C6F3D76';
wwv_flow_imp.g_varchar2_table(13) := '6F696420303D3D3D652E696E697469616C733F22223A652E696E697469616C733B643D642B273C6120687265663D22272B612B27223E272C643D22696D616765223D3D3D733F642B273C696D6720636C6173733D2261766174617222207372633D22272B';
wwv_flow_imp.g_varchar2_table(14) := '742B2722207469746C653D22272B722B2722206F6E6572726F723D227265706C6163654D697373696E67496D61676528746869732C5C27272B6F2B22272C27222B6C2B22272C27222B692B2227295C223E3C2F696D673E223A22696E697469616C223D3D';
wwv_flow_imp.g_varchar2_table(15) := '3D733F642B273C64697620636C6173733D2261766174617220272B6E2B2722207469746C653D22272B722B27223E272B6F2B223C2F6469763E223A642B273C64697620636C6173733D2261766174617220272B6E2B2722207469746C653D22272B722B27';
wwv_flow_imp.g_varchar2_table(16) := '223E3C7370616E20636C6173733D22272B632B27223E3C2F7370616E3E3C2F6469763E272C642B3D223C2F613E227D7D29292C30213D3D6126652E6C656E6774683E61297B6C657420743D652E6C656E6774682D613B643D642B273C6120687265663D22';
wwv_flow_imp.g_varchar2_table(17) := '272B6E2B27223E3C64697620636C6173733D2261766174617220617661746172732D6D6F726520272B722B27223E2B272B742B223C2F6469763E3C2F613E227D632E696E6E657248544D4C3D642C746869732E617070656E644368696C642863292C7468';
wwv_flow_imp.g_varchar2_table(18) := '69732E676574456C656D656E747342795461674E616D65282274656D706C61746522295B305D2E72656D6F766528292C617065782E6576656E742E7472696767657228646F63756D656E742C226170657877696E646F77726573697A656422297D7D6375';
wwv_flow_imp.g_varchar2_table(19) := '73746F6D456C656D656E74732E67657428226F72636C617065782D6176617461727322297C7C637573746F6D456C656D656E74732E646566696E6528226F72636C617065782D61766174617273222C6F72636C6170657841766174617273293B';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(21684876787803109)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_file_name=>'js/multipleAvatars.min.js'
,p_mime_type=>'text/javascript'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
begin
wwv_flow_imp.g_varchar2_table := wwv_flow_imp.empty_varchar2_table;
wwv_flow_imp.g_varchar2_table(1) := '6F72636C617065782D61766174617273202E6176617461722D73697A652D2D736D616C6C7B2D2D6176617461722D73697A653A322E3572656D3B2D2D666F6E742D73697A653A736D616C6C7D6F72636C617065782D61766174617273202E617661746172';
wwv_flow_imp.g_varchar2_table(2) := '2D73697A652D2D6D656469756D7B2D2D6176617461722D73697A653A332E3572656D3B2D2D666F6E742D73697A653A6D656469756D7D6F72636C617065782D61766174617273202E6176617461722D73697A652D2D6C617267657B2D2D6176617461722D';
wwv_flow_imp.g_varchar2_table(3) := '73697A653A342E3572656D3B2D2D666F6E742D73697A653A6C617267657D6F72636C617065782D61766174617273202E617661746172732D636F6E7461696E65727B2D2D6D617267696E2D6C6566743A63616C63282D31202A20766172282D2D61766174';
wwv_flow_imp.g_varchar2_table(4) := '61722D73697A6529202F20342E35293B646973706C61793A666C65787D6F72636C617065782D6176617461727320613A6E6F74283A66697273742D6368696C6429202E6176617461727B6D617267696E2D6C6566743A766172282D2D6D617267696E2D6C';
wwv_flow_imp.g_varchar2_table(5) := '656674297D6F72636C617065782D61766174617273202E706C616365686F6C6465727B6261636B67726F756E642D636F6C6F723A726762283137342031373420313734297D6F72636C617065782D61766174617273202E6176617461727B77696474683A';
wwv_flow_imp.g_varchar2_table(6) := '766172282D2D6176617461722D73697A65293B6865696768743A766172282D2D6176617461722D73697A65293B626F726465722D7261646975733A3530253B626F726465723A32707820736F6C696420766172282D2D75742D636F6D706F6E656E742D62';
wwv_flow_imp.g_varchar2_table(7) := '61636B67726F756E642D636F6C6F72293B646973706C61793A666C65783B616C69676E2D6974656D733A63656E7465723B6A7573746966792D636F6E74656E743A63656E7465723B666F6E742D7765696768743A3630303B666F6E742D73697A653A7661';
wwv_flow_imp.g_varchar2_table(8) := '72282D2D666F6E742D73697A65297D6F72636C617065782D6176617461727320613A666F637573202E6176617461722C6F72636C617065782D6176617461727320613A686F766572202E6176617461727B7472616E73666F726D3A7363616C6528312E31';
wwv_flow_imp.g_varchar2_table(9) := '293B626F726465722D636F6C6F723A766172282D2D75742D666F6375732D6F75746C696E652D636F6C6F72297D';
null;
end;
/
begin
wwv_flow_imp_shared.create_plugin_file(
 p_id=>wwv_flow_imp.id(21689544765998611)
,p_plugin_id=>wwv_flow_imp.id(21646246270097696)
,p_file_name=>'css/multipleAvatars.min.css'
,p_mime_type=>'text/css'
,p_file_charset=>'utf-8'
,p_file_content=>wwv_flow_imp.varchar2_to_blob(wwv_flow_imp.g_varchar2_table)
);
end;
/
prompt --application/end_environment
begin
wwv_flow_imp.import_end(p_auto_install_sup_obj => nvl(wwv_flow_application_install.get_auto_install_sup_obj, false));
commit;
end;
/
set verify on feedback on define on
prompt  ...done
